=== debian/control ===
Source: mythtv
Section: graphics
Priority: optional
Maintainer: MythTV Ubuntu Maintainers <ubuntu-mythtv@lists.ubuntu.com>
Uploaders: Mario Limonciello <superm1@ubuntu.com>,
           Andres Mejia <amejia@debian.org>,
Homepage: http://www.mythtv.org
Standards-Version: 3.9.3
Vcs-Git: git://github.com/MythTV/packaging.git
Build-Conflicts: libqt3-mt-dev
Build-Depends:  debhelper (>= 7.0.50~),
                quilt,
                ccache,
                yasm,
                libqt4-dev,
                libqtwebkit-dev | libqt4-webkit-dev | libqt4-dev (<< 4:4.7.0~beta1),
                libqt4-opengl-dev,
                libdvb-dev,
                po-debconf,
                texi2html,
                python-central,
                linux-kernel-headers,
                libdvdnav-dev,
                libfreetype6-dev,
                libavc1394-dev,
                libiec61883-dev,
                liblircclient-dev,
                libxinerama-dev | xlibs-static-dev (<< 6.8.1-1),
                libxxf86vm-dev | xlibs-static-dev (<< 6.8.1-1),
                libcrystalhd-dev [i386 amd64],
                libxvmc-dev | xlibs-static-dev (<< 6.8.1-1),
                libxext-dev | xlibs-static-dev (<< 6.8.1-1),
                libimlib2-dev,
                libasound2-dev,
                libmp3lame-dev | liblame-dev,
                libvorbis-dev,
                libdts-dev,
                lsb-release,
                libpulse-dev,
                libxrandr-dev,
                libfftw3-dev,
                libva-dev,
                libvdpau-dev [i386 amd64 armel] | nvidia-190-libvdpau-dev [i386 amd64] | nvidia-185-libvdpau-dev [i386 amd64] | nvidia-180-libvdpau-dev [i386 amd64],
                libudev-dev,
                libclass-dbi-perl,
                libnet-upnp-perl,
                libio-socket-inet6-perl,
                libdbd-mysql-perl,
                libjson-perl,
                libwww-perl,
                python-oauth,
                python-lxml,
                python-mysqldb,
                python-pycurl,
                python-urlgrabber,
                libgl1-mesa-dev | xlibmesa-gl-dev | xlibmesa-dev | libgl-dev,
                libdvdread-dev | libdvdread3-dev,
                fftw-dev,
                libvorbis-dev,
                libflac-dev,
                libmad0-dev,
                libcdaudio-dev,
                libcdio-dev,
                libcdparanoia-dev | libcdparanoia0-dev,
                libsdl1.2-dev,
                libfaad-dev | libfaad2-dev,
                libexif-dev (>= 0.6.9-6),
                libtiff5-dev | libtiff4-dev | libtiff-dev,
                libxv-dev,
                libtag1-dev,
                libvisual-0.4-dev,
                libmysqlclient-dev,
                libdate-manip-perl,
                libxml-simple-perl,
                libimage-size-perl,
                libdatetime-format-iso8601-perl,
                libsoap-lite-perl,
                libx264-dev,
                libvpx-dev,
                libavahi-compat-libdnssd-dev,
                libssl-dev,
                libcdio-cdda-dev,
                libcdio-paranoia-dev,
                libxml2-dev,
                libass-dev,
                libcec-dev,
                uuid-dev,
                libxml-xpath-perl

Package: mythtv
Architecture: all
Depends: mysql-server, mythtv-database, mythtv-frontend, mythtv-backend, ntp | time-daemon | ntp-simple, ${misc:Depends}
Suggests: mythtv-doc
Description: Personal video recorder application (client and server)
 MythTV implements the following PVR features, and more, with a
 unified graphical interface:
 .
  - Basic 'live-tv' functionality. Pause/Fast Forward/Rewind "live" TV.
  - Video compression using RTjpeg or MPEG-4
  - Program listing retrieval using XMLTV
  - Themable, semi-transparent on-screen display
  - Electronic program guide
  - Scheduled recording of TV programs
  - Resolution of conflicts between scheduled recordings
  - Basic video editing
 .
 http://www.mythtv.org/
 .
 This package will install a complete MythTV client/server environment on a
 single system.  If you are intended on using this as your only MythTV machine,
 and this machine is already configured as a desktop, this package will get you
 up and running switfly.
 .
 If you are intended on installing this on a standalone/non-desktop machine,
 you should look into the metapackages available:
 mythtv-backend-master (backend with a local database)
 mythtv-backend (backend needing a remote database)

Package: mythtv-common
Architecture: any
Depends: pwgen,
         adduser,
         mysql-client,
         fonts-liberation | ttf-liberation,
         fonts-droid | ttf-droid,
         ttf-dejavu,
         fonts-tlwg-purisa,
         python,
         libxml-xpath-perl,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: mythtv-doc
Recommends: mythtv-dbg
Conflicts: mythtv (<< 0.8-1), 
           mythmusic (<< 0.20.99+trunk14393), 
           mythweather (<< 0.20.99+trunk14393), 
           mythcontrols,
           mythtv-themes, 
           mythtv-theme-mythcenter, 
           mythtv-theme-mythcenter-wide, 
           mythtv-theme-gray-osd, 
           mythtv-theme-isthmus,
           mythtv-theme-blootube, 
           mythtv-theme-blootube-wide,
           mythtv-theme-blootubelite-wide,
           mythtv-theme-glass-wide,
           mythtv-theme-projectgrayhem,
           mythtv-theme-proejctgrayhem-wide,
           mythtv-theme-metallurgy,
           mythtv-theme-minimalist-wide,
           mythtv-theme-retro,
           mythtv-theme-titivillus,
           mythtv-theme-iulius,
           mythtv-theme-childish,
           mythtv-theme-neon-wide
Replaces:  mythtv (<< 0.8-1), 
           mythtv-frontend (<< 0.23.0~trunk23548), 
           mythmusic (<< 0.20.99+trunk14393), 
           mythweather (<< 0.20.99+trunk14393), 
           mythcontrols (<< 0.20.trunk19500), 
           mythcontrols, mythtv-theme-mythcenter, 
           mythtv-theme-mythcenter-wide, 
           mythtv-theme-isthmus, 
           mythtv-theme-gray-osd, 
           mythtv-backend (<< 1:0.24.0+fixes27252), 
           mythtv-database (<< 0.24.0~trunk25638), 
           mythvideo
Breaks:    mythtv-backend (<< 1:0.24.0+fixes27252), 
           mythvideo
Description: Personal video recorder application (common data)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains infrastructure needed by both the client and the
 server.

Package: mythtv-doc
Architecture: all
Conflicts: mythtv (<< 0.8-1)
Section: doc
Replaces: mythtv (<< 0.8-1)
Depends: ${misc:Depends}
Description: Personal video recorder application (documentation)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains documentation, including the MythTV HOWTO.

Package: mythtv-database
Architecture: all
Depends: mythtv-common, libdbd-mysql-perl, mysql-client, cron, ${misc:Depends}
Recommends: update-notifier | update-notifier-kde
Conflicts: mythtv (<< 0.8-1), mythtv-common (<< 0.8-2)
Replaces: mythtv (<< 0.8-1), mythtv-common (<< 0.8-2)
Description: Personal video recorder application (database)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package sets up a MySQL database for use by MythTV. It should be
 installed on the system where the MySQL server resides.

Package: mythtv-backend
Architecture: any
Depends: mythtv-common, mythtv-transcode-utils, ${shlibs:Depends}, cron, wget, zenity | kdebase-bin, gksu | kdebase-bin, xterm, python, ${misc:Depends}
Conflicts: mythtv (<< 0.8-1)
Replaces: mythtv (<< 0.8-1), mythtv-frontend (<= 0.20-0.4)
Recommends: ntp | time-daemon | ntp-simple, logrotate, libmyth-python, libmythtv-perl
Suggests: mythtv-frontend, mythweb, mythtv-database, xmltv-util
Description: Personal video recorder application (server)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains only the server software, which provides video and
 audio capture and encoding services. In order to be useful, it requires a
 mythtv-frontend installation, either on the same system or one reachable
 via the network.
 .
 A database is also required. The mythtv-database package must be installed,
 either on the same system, or one reachable via the network.
 .
 For a complete installation of all MythTV components, install the 'mythtv'
 package.

Package: mythtv-transcode-utils
Architecture: any
Depends: mythtv-common, ${shlibs:Depends}, ${misc:Depends}
Conflicts: mythtv-backend (<< 0.20.2-0ubuntu1)
Replaces: mythtv-backend (<< 0.20.2-0ubuntu1)
Suggests: mythtv-backend, mytharchive
Description: Utilities used for transcoding MythTV tasks
 Some utilities are applicable for both a frontend or a backend machine.
 This package provides utilities that can be used on both without
 requiring an entire backend to be installed.

Package: mythtv-frontend
Architecture: any
Depends: mythtv-common, 
         ${shlibs:Depends}, 
         ${misc:Depends},
         libnotify-bin,
         adduser, 
         zenity | kdebase-bin, 
         gksu | kdebase-bin, 
         wmctrl, 
         libxml-simple-perl,
         libwww-perl,
         libmyth-python,
         transcode,
         python,
         python-imdbpy,
Recommends: libmythtv-perl, python-imaging
Suggests: mythtv-backend, mythmusic, mythweather, mythgallery, mythgame, ntp | time-daemon | ntp-simple
Conflicts: mythtv (<< 0.8-1), mythappearance (<< 0.21.0), mythstream (<< 0.21.0), mythflix (<< 0.23.0)
Replaces: mythtv (<< 0.8-1),  mythappearance (<< 0.21.0), mythvideo
Breaks: mythvideo
Description: Personal video recorder application (client)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains only the client software, which provides a front-end
 for playback and configuration. It requires access to a mythtv-backend
 installation, either on the same system or one reachable via the network.
 .
 A database is also required. The mythtv-database package must be installed,
 either on the same system, or one reachable via the network.
 .
 For a complete installation of all MythTV components, install the 'mythtv'
 package.

Package: libmyth-0.27-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, libqt4-sql-mysql, ${misc:Depends}
Conflicts: mythtv (<< 0.7-5), libmyth-0.23-0, libmyth-0.24-0, libmyth-0.25-0, libmyth-0.26-0
Replaces: mythtv (<< 0.7-5), libmyth-0.23-0, libmyth-0.24-0, libmyth-0.25-0, libmyth-0.26-0
Description: Common library code for MythTV and add-on modules (runtime)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains a shared library, libmyth, which is used by various
 components in the system.

Package: libmyth-dev
Architecture: any
Section: libdevel
Depends: libmyth-0.27-0 (= ${binary:Version}), ${misc:Depends}
Provides: libmyth-0.27-0-dev
Conflicts: libmyth-0.27-0-dev
Description: Common library code for MythTV and add-on modules (development)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains files needed for developing applications which use
 libmyth (such as the various add-ons for MythTV)

Package: php-mythtv
Architecture: all
Depends:  ${misc:Depends}
Description: PHP Bindings for MythTV
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
