=== debian/rules ===
--- 
+++ 
@@ -68,9 +68,6 @@
 #and ffmpeg sync from 0.26, libswscale
 LDFLAGS:=$(shell DEB_LDFLAGS_MAINT_STRIP="-Wl,-Bsymbolic-functions" dpkg-buildflags --get LDFLAGS)
 
-# Need a writable home directory for ccache
-export HOME=$(CURDIR)/debian/home
-
 %:
 	dh $@ --parallel
 
@@ -81,8 +78,6 @@
 		cp debian/DESCRIBE mythtv/VERSION ;\
 	fi
 	cd mythtv && sh version.sh `pwd`
-
-	mkdir $(CURDIR)/debian/home
 
 	#mythtv
 	cd mythtv && ./configure $(MYTHTV_CONFIGURE_OPTS)
@@ -146,7 +141,6 @@
 	[ -f mythtv/VERSION.old ] && mv mythtv/VERSION.old mythtv/VERSION || true
 	dh_auto_clean
 	debconf-updatepo
-	rm -rf $(CURDIR)/debian/home
 
 override_dh_installdocs:
 	dh_installdocs
